BEGIN (* PibUpLoad *)
                                   (* Ctrl Z ends Ascii file by default *)
   Ascii_Use_CtrlZ := TRUE;
                                   (* Don't display received text *)
   Ascii_Show_Text := FALSE;
                                   (* Get protocol for upload *)

   IF Transfer_Protocol = None THEN
      Transfer_Protocol := Get_Upload_Protocol;

                                   (* Display transfer status   *)
   Display_Status := TRUE;
                                   (* Perform transfer *)
   CASE Transfer_Protocol OF

      Ascii        : Send_Ascii_File;

      Modem7_Chk,
      Ymodem_Batch,
      Ymodem,
      Xmodem_CRC,
      Telink,
      Modem7_CRC,
      Xmodem_Chk   : Do_Xmodem_Upload( Transfer_Protocol );

      Kermit       : Send_Kermit_File;

      ELSE ;

   END  (* CASE *);
                                   (* Indicate end of transfer *)

   IF ( NOT Silent_Mode ) AND ( NOT ( Transfer_Protocol = None ) ) THEN
      FOR I := 1 TO Transfer_Bells DO
         BEGIN
            WRITE( CHR( BELL ) );
            DELAY( 250 );
         END;

END   (* PibUpLoad *);
